Subject: Re: bug#54537: 29.0.50; Last sexp notion is different for eval-last-sexp and pp-eval-last-sexp

From: Visuwesh <[email-masked]>
Date: Wed, 23 Mar 2022 22:02:29 +0530

[புதன், மார்ச் 23 2022] Drew Adams wrote:

>> I think the non-pp function has the most convenient behaviour, so I'd
>> be in favour of changing it to just use (elisp--preceding-sexp).  Any
>> opinions?
>
> Whether it's better ("more convenient") or not,
> I don't know.  But it's a backward-incompatible
> change.  That might be one thing to consider -
> what users expect will break/change.

Sure, but the current (inconsistent) behaviour is surprising.  I would
be personally okay with such a backwards-incompatible change, but I am
biased since I filed the bug report.